Subject: Electrostatic Spraying

From: dan <[email-masked]>
Date: 22 May 1996 06:07:15 GMT

I Have resently become interested in Electrostatic spraying of crops, and 
would like to trade information with other interested people. I Am a 
strawberry grower in the watsonville cal area. Hope to hear from anyone 
else interested